%define rversion 5.0.0
%define kvkontakte_major 2
%define libkvkontakte %mklibname kf5vkontakte %kvkontakte_major
%define libkvkontakte_devel %mklibname kf5vkontakte -d

Name:           libkvkontakte
Summary:        Library for asynchronous interaction with vkontakte social network
Version:        23.08.5
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2
URL:            https://community.kde.org/LibKVkontakte
Source:         https://download.kde.org/stable/libkvkontakte/%{version}/src/%{name}-%{rversion}.tar.xz

BuildRequires: cmake
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5webkit-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5webkit-devel
BuildRequires: lib64qt5webkitwidgets-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: qtbase5-common-devel

%description
KDE C++ library for asynchronous interaction with vkontakte.ru social
network via its open API.

%package -n %libkvkontakte
Summary:        Library for asynchronous interaction with vkontakte social network
Group:          System/Libraries
Obsoletes:      libkvkontakte
Provides:       libkvkontakte = %version-%release

%description -n %libkvkontakte
KDE C++ library for asynchronous interaction with vkontakte.ru social
network via its open API.

%files -n %libkvkontakte
%_kf5_libdir/libKF5Vkontakte.so.*

#------------------------------------------------------------------------------
%package -n %libkvkontakte_devel
Summary:        Devel stuff for %{name}
Group:          Development/Libraries
Requires:       %libkvkontakte = %version-%release
Provides:       %name-devel = %version-%release

%description -n %libkvkontakte_devel
KDE C++ library for asynchronous interaction with vkontakte.ru social
network via its open API.

This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %libkvkontakte_devel
%_kf5_includedir/Vkontakte/
%_kf5_includedir/kf5vkontakte_version.h
%_kf5_libdir/cmake/KF5Vkontakte/
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -qn %name-%rversion


%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
%ninja_install -C build

# not neeed on library file
rm -rf %buildroot/%{_datadir}/locale


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

